View a markdown version of this page

StartTestRun - Next generation Resilience Hub

StartTestRun

Starts a run of a test. Each run scopes to the current resources in the service and produces a pass or fail outcome.

Request Syntax

POST /v2/start-test-run HTTP/1.1 Content-type: application/json { "serviceArn": "string", "testId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

serviceArn

The ARN of the service the test belongs to.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

testId

The identifier of the test to run.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "experimentArns": [ "string" ], "status": "string", "testRunId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

experimentArns

The ARNs of the AWS Fault Injection Service (AWS FIS) experiments started for the run.

Type: Array of strings

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

status

The status of the started test run.

Type: String

Valid Values: INITIALIZING | RUNNING | STOPPING | PASSED | FAILED | STOPPED | ERROR

testRunId

The identifier of the started test run.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

ConflictException

Conflict — resource already exists.

HTTP Status Code: 409

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: